Description: Do not download rabbitmqadmin in Debian
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2019-04-08

--- puppet-module-puppetlabs-rabbitmq-8.5.0.orig/lib/puppet/provider/rabbitmq_cli.rb
+++ puppet-module-puppetlabs-rabbitmq-8.5.0/lib/puppet/provider/rabbitmq_cli.rb
@@ -32,7 +32,7 @@ class Puppet::Provider::RabbitmqCli < Pu
   home_tmp_command :rabbitmqctl, 'rabbitmqctl'
   home_tmp_command :rabbitmqplugins, 'rabbitmq-plugins'
 
-  home_tmp_command :rabbitmqadmin, '/usr/local/bin/rabbitmqadmin'
+  home_tmp_command :rabbitmqadmin, '/usr/bin/rabbitmqadmin'
 
   def self.rabbitmq_version
     return @rabbitmq_version if defined? @rabbitmq_version
--- puppet-module-puppetlabs-rabbitmq-8.5.0.orig/manifests/init.pp
+++ puppet-module-puppetlabs-rabbitmq-8.5.0/manifests/init.pp
@@ -409,7 +409,9 @@ class rabbitmq(
   contain rabbitmq::management
 
   if $admin_enable and $service_manage {
-    include 'rabbitmq::install::rabbitmqadmin'
+    if $::osfamily != 'Debian' {
+      include 'rabbitmq::install::rabbitmqadmin'
+    }
 
     rabbitmq_plugin { 'rabbitmq_management':
       ensure   => present,
@@ -417,8 +419,12 @@ class rabbitmq(
       provider => 'rabbitmqplugins',
     }
 
-    Class['rabbitmq::service'] -> Class['rabbitmq::install::rabbitmqadmin']
-    Class['rabbitmq::install::rabbitmqadmin'] -> Rabbitmq_exchange<| |>
+    if $::osfamily == 'Debian' {
+      Class['::rabbitmq::service'] -> Rabbitmq_exchange<| |>
+    }else{
+      Class['rabbitmq::service'] -> Class['rabbitmq::install::rabbitmqadmin']
+      Class['rabbitmq::install::rabbitmqadmin'] -> Rabbitmq_exchange<| |>
+    }
   }
 
   if $stomp_ensure {
